#ifndef KCOMMENTPANEL_H
#define KCOMMENTPANEL_H

#include <QWidget>
#include "gui_g.h"

namespace kdk
{
class KCommentPanelPrivate;

enum StarLevel
{
    LevelZero = 0,
    LevelOne,
    LevelTwo,
    LevelThree,
    LevelFour,
    LevelFive
};

class GUI_EXPORT KCommentPanel : public QWidget
{
    Q_OBJECT

public:
    explicit KCommentPanel(QWidget *parent = nullptr);
    void setIcon(const QIcon&);
    void setTime(const QString&);
    void setName(const QString&);
    void setText(const QString&);
    void setGrade(StarLevel level);

protected:
    void paintEvent(QPaintEvent* event) override;

private:
    Q_DECLARE_PRIVATE(KCommentPanel)
    KCommentPanelPrivate * const d_ptr;
};
}

#endif // KCOMMENTPANEL_H
