#ifndef KITEMWIDGET_H
#define KITEMWIDGET_H

#include <QWidget>
#include <QIcon>
#include <QPainter>
#include <QString>
#include <QSize>
#include <QPixmap>
#include <QFont>
#include <QHBoxLayout>
#include <QVBoxLayout>
#include <QListWidget>
#include <QListWidgetItem>
#include "gui_g.h"
#include "themeController.h"

namespace kdk
 {


class KItemWidgetPrivate;

class GUI_EXPORT KItemWidget :public QWidget
{
    Q_OBJECT
public:

    /*
     * Myicon 需要显示的图片
     * MmainText 需要写入的miantext
     * MsecText  需要写入的sectext
    */
    KItemWidget(const QIcon &Myicon,QString MmainText,QString MsecText,QWidget *parent);
    /*
     * 设置反白效果
    */
    void SetInverse();

    /*
     * 取消反白效果
    */
    void CancelInverse();
    /*
     * 设置图片大小
    */
    void SetIconSize(QSize size);


protected:
    void paintEvent(QPaintEvent *event);
    /*void mousePressEvent(QMouseEvent *event);*/

private:
    Q_DECLARE_PRIVATE(KItemWidget);
    KItemWidgetPrivate* const d_ptr;
};

}
#endif // KITEMWIDGET_H
