#ifndef KPROGRESSCIRCLE_H
#define KPROGRESSCIRCLE_H
#include "gui_g.h"
#include <QWidget>
#include "kprogressbar.h"

namespace kdk
{
class KProgressCirclePrivate;

class GUI_EXPORT KProgressCircle : public QWidget
{
    Q_OBJECT

public:
    explicit KProgressCircle(QWidget *parent = nullptr);
    int minimum() const;
    int maximum() const;

    int value() const;

    QString text() const;
    void setTextVisible(bool visible);
    bool isTextVisible() const;
    ProgressBarState state();
    void setState(ProgressBarState state);

Q_SIGNALS:
    void valueChanged(int value);

public Q_SLOTS:
    void reset();
    void setRange(int minimum, int maximum);
    void setMinimum(int minimum);
    void setMaximum(int maximum);
    void setValue(int value);

protected:
    void paintEvent(QPaintEvent *) override;

private:
    Q_DECLARE_PRIVATE(KProgressCircle)
    KProgressCirclePrivate* const d_ptr;
};
}


#endif // KPROGRESSCIRCLE_H
