#ifndef KTAG_H
#define KTAG_H

#include "gui_g.h"
#include <QPushButton>

namespace kdk
{
class KTagPrivate;

enum TagStyle
{
    HighlightTag,
    BoderTag,
    BaseBoderTag,
    GrayTag
};

class GUI_EXPORT KTag : public QPushButton
{
    Q_OBJECT

public:
    explicit KTag(QWidget *parent = nullptr);
    void setClosable(bool);
    bool closable();
    void setText(const QString&);
    QString text();
    void setTagStyle(TagStyle);
    TagStyle tagStyle();

protected:
    void paintEvent(QPaintEvent* event);
    QSize sizeHint() const override;

private:
    Q_DECLARE_PRIVATE(KTag)
    KTagPrivate * const d_ptr;
};
}


#endif // KTAG_H
