#ifndef KTRANSLUCENTFLOOR_H
#define KTRANSLUCENTFLOOR_H

#include "gui_g.h"
#include <QFrame>

namespace kdk {

class KTranslucentFloorPrivate;

class GUI_EXPORT KTranslucentFloor : public QFrame
{
    Q_OBJECT
public:
    KTranslucentFloor(QWidget* parent =nullptr);

    /**
     * @brief 设置圆角半径
     * @param radius
     */
    void setBorderRadius(int radius);

    /**
     * @brief 返回圆角半径
     * @return
     */
    int borderRadius();

    /**
     * @brief 设置是否显示阴影
     * @param flag
     */
    void setShadow(bool flag);

    /**
     * @brief 返回是否显示阴影
     * @return
     */
    bool shadow();

    /**
     * @brief 设置是否启用毛玻璃效果
     * @param flag
     */
    void setEnableBlur(bool flag);

    /**
     * @brief 获取是否已启用毛玻璃效果
     * @return
     */
    bool enableBlur();

    /**
     * @brief 设置透明度
     * @param opacity
     */
    void setOpacity(qreal opacity);

    /**
     * @brief 获取透明度
     * @return
     */
    qreal opacity();

protected:
    void paintEvent(QPaintEvent *);

private:
    KTranslucentFloorPrivate*const d_ptr;
    Q_DECLARE_PRIVATE(KTranslucentFloor)
};
}

#endif // KTRANSLUCENTFLOOR_H
